Irrlicht Engine: irr::ITimer Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::ITimer Class Reference

Interface for getting and manipulating the virtual time. More...

`#include <ITimer.h>`

Inheritance diagram for irr::ITimer:

List of all members.

## Public Member Functions
virtual u32 | getRealTime () const =0
| Returns current real time in milliseconds of the system.
virtual f32 | getSpeed () const =0
| Returns current speed of the timer.
virtual u32 | getTime () const =0
| Returns current virtual time in milliseconds.
virtual bool | isStopped () const =0
| Returns if the virtual timer is currently stopped.
virtual void | setSpeed (f32 speed=1.0f)=0
| Sets the speed of the timer.
virtual void | setTime (u32 time)=0
| sets current virtual time
virtual void | start ()=0
| Starts the virtual timer.
virtual void | stop ()=0
| Stops the virtual timer.
virtual void | tick ()=0
| Advances the virtual time.
virtual | ~ITimer ()
| destructor

## Detailed Description

Interface for getting and manipulating the virtual time.

Definition at line 14 of file ITimer.h.

## Constructor & Destructor Documentation

virtual irr::ITimer::~ITimer | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 19 of file ITimer.h.

## Member Function Documentation

virtual u32 irr::ITimer::getRealTime | ( |  | ) | const`[pure virtual]`

Returns current real time in milliseconds of the system.

This value does not start with 0 when the application starts. For example in one implementation the value returned could be the amount of milliseconds which have elapsed since the system was started.

virtual f32 irr::ITimer::getSpeed | ( |  | ) | const`[pure virtual]`

Returns current speed of the timer.

The speed is the factor with which the time is running faster or slower then the real system time.

virtual u32 irr::ITimer::getTime | ( |  | ) | const`[pure virtual]`

Returns current virtual time in milliseconds.

This value starts with 0 and can be manipulated using setTime(), stopTimer(), startTimer(), etc. This value depends on the set speed of the timer if the timer is stopped, etc. If you need the system time, use getRealTime()

virtual bool irr::ITimer::isStopped | ( |  | ) | const`[pure virtual]`

Returns if the virtual timer is currently stopped.

virtual void irr::ITimer::setSpeed | ( | f32 | speed = `1.0f` | ) | `[pure virtual]`

Sets the speed of the timer.

The speed is the factor with which the time is running faster or slower then the real system time.

virtual void irr::ITimer::setTime | ( | u32 | time | ) | `[pure virtual]`

sets current virtual time

virtual void irr::ITimer::start | ( |  | ) | `[pure virtual]`

Starts the virtual timer.

The timer is reference counted, which means everything which calls stop() will also have to call start(), otherwise the timer may not start/stop correctly again.

virtual void irr::ITimer::stop | ( |  | ) | `[pure virtual]`

Stops the virtual timer.

The timer is reference counted, which means everything which calls stop() will also have to call start(), otherwise the timer may not start/stop correctly again.

virtual void irr::ITimer::tick | ( |  | ) | `[pure virtual]`

Advances the virtual time.

Makes the virtual timer update the time value based on the real time. This is called automatically when calling IrrlichtDevice::run(), but you can call it manually if you don't use this method.

The documentation for this class was generated from the following file:

- ITimer.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)